/**
 * Created by jimiz on 2017/4/7.
 */
let express = require('express');
let billsController = require('../controllers/bills_controller');

module.exports = function (app) {
    let billsRouter = express.Router();
    billsRouter.post('/getData', billsController.getData);
    billsRouter.post('/getItemTemplate', billsController.getItemTemplate);
    billsRouter.post('/allocIDs', billsController.allocIDs);
    billsRouter.post('/updateCharacterContent', billsController.updateCharacterContent);//特征及内容更新 zhong 2017-9-1
    // 批量更新bill数据
    billsRouter.post('/updateBills', billsController.updateBills);
    billsRouter.post('/updateBill', billsController.updateBill);
    //删除单个清单，不删除子项
    billsRouter.post('/singleDelete',billsController.singleDelete);
    billsRouter.post('/multiDelete',billsController.multiDelete);
    billsRouter.post('/getSectionInfo', billsController.getSectionInfo);
    billsRouter.post('/reorganizeFBFX', billsController.reorganizeFBFX);
    billsRouter.post('/pasteBlock', billsController.pasteBlock);
    billsRouter.post('/import', billsController.import);
    billsRouter.get('/downloadExamp', billsController.downloadExample);
    billsRouter.post('/insertBills', billsController.insertBills);
    app.use('/bills', billsRouter);
};



